%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Font-TTF
Version:       1.05
Release:       1mamba
Summary:       Font::TTF - Perl module for TrueType Font hacking
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/M/MH/MHOSKEN/Font-TTF-%{version}.tar.gz
License:       Artistic
BuildRequires: hd2u
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Simple)
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
BuildRequires: perl-XML-Parser
## AUTOBUILDREQ-END
BuildRequires: perl-IO-String
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Perl module for TrueType font hacking. Supports reading, processing and writing of the following tables: GDEF, GPOS, GSUB, LTSH, OS/2, PCLT, bsln, cmap, cvt, fdsc, feat, fpgm, glyf, hdmx, head, hhea, hmtx, kern, loca, maxp, mort, name, post, prep, prop, vhea, vmtx and the reading and writing of all other table types.

%prep
%setup -q -n Font-TTF-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

rm -rf %{buildroot}%{perl_vendorlib}/Font/TTF/Win32.pm
rm -rf %{buildroot}%{perl_vendorlib}/Font/TTF/Changes
chmod -R u+rwX,g+rX %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorlib}/ttfmod.pl
%dir %{perl_vendorlib}/Font
%{perl_vendorlib}/Font/TTF.pm
%dir %{perl_vendorlib}/Font/TTF
%{perl_vendorlib}/Font/TTF/*
#%{perl_vendorlib}/Font/TTF/.Silf.pm.swo
%{_mandir}/man3/*.3pm.gz
#%doc COPYING
#README.TXT TODO lib/Font/TTF/Changes

%changelog
* Mon Feb 02 2015 Automatic Build System <autodist@mambasoft.it> 1.05-1mamba
- automatic update by autodist

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 1.04-1mamba
- automatic update by autodist

* Tue Nov 12 2013 Automatic Build System <autodist@mambasoft.it> 1.03-1mamba
- automatic update by autodist

* Thu Oct 18 2012 Automatic Build System <autodist@mambasoft.it> 1.02-1mamba
- automatic version update by autodist

* Tue Dec 28 2010 gil <puntogil@libero.it> 0.48-1mamba
- package created by autospec
